Bug 1305042 - [RFE] - Need an API to show users logged into a portal and also to show users logged into VMs
[RFE] - Need an API to show users logged into a portal and also to show user...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.5.7
All All
medium Severity medium
: ---
: ---
Assigned To: Rob Young
Gil Klein
: FutureFeature
: 1339933 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 07:27 EST by Greg Scott
Modified: 2017-09-12 13:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1025796 None None None 2016-02-05 07:30 EST

  None (edit)
Description Greg Scott 2016-02-05 07:27:37 EST
Description of problem:
BZ number 1025796 is for a UI enhancement to the admin portal to show logged in users.  This RFE asks to take that another step and provide an API for it.  And also the ability to show users actually logged into VMs via a portal.
Comment 1 Dushyant Ralhan 2016-02-05 14:25:41 EST
We'd like this capability to be available via a query API. Our use case requires us to query RHEVM via an API call to:

- get the count of users currently logged in. 
- should provide both active users (logged in to a VM) and
- Inactive users (logged in but locked the Windows session). 

We have an Operations portal where use this information to perform some logic. 

Currently the User API provide the user's Active/Inactive status as a derivative of their registration status as opposed to their current-logged-in status.

Thanks.
Comment 2 Oved Ourfali 2016-02-06 09:04:19 EST
As far as I know, users logged into VMs are already exposed through the api. Michal?
Comment 3 Michal Skrivanek 2016-02-06 09:18:19 EST
Yes, we have "logged into VM", we can perhaps use the engine console session locking to get the non-logged...not sure right now, might be exposed already as well
Comment 4 Dushyant Ralhan 2016-02-08 13:40:13 EST
I had seen the Logged in attribute - but it's for the user API which would need to be called for each user to check their status. If we had to iterate over a few thousand active users to check their Logged on status, it will be a problem. 

Can RH provide/enhance the summary api, like the API entry point, where the attribute below indicates their registration status. We should expand this to include logged-in count. 

<users>
<total>1</total>
<active>1</active>
</users>

Could become: 

<users>
<total>20</total>
<active>15</active>
//enhance api as : 
<loggedin>10<loggedin>
<activeWINsession>6</activeWINsession>
<lockedWINsession>4</lockedWINsession>
</users>

Thanks,
Dushyant Ralhan.
Comment 5 Itamar Heim 2016-02-08 18:33:22 EST
I'm not sure we should cover "logged into portal" - once connections are done via REST API (custom portal), or broker (CFME, etc.) - we can't track them.
Comment 10 Yaniv Kaul 2016-06-14 03:40:19 EDT
*** Bug 1339933 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.